#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		name1		%(echo %{name} | cut -d '-' -f2)
%define		name2		%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	python3-pytest-mock
Version		:	3.10.0
Release		:	14.8.0.0%{?dist}
Summary		:	Thin-wrapper around the mock package for easier use with py.test
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL3
URL		:	https://pypi.org/project/pytest-mock/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3

%if %{with test}
BuildRequires	:	python-attrs
BuildRequires	:	python-setuptools-scm
BuildRequires	:	python2-setuptools
BuildRequires	:	python-mock
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python-py
BuildRequires	:	python3-pytest
%endif

Requires	:	python3-mock

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This plugin provides a mocker fixture which is a thin-wrapper
around the patching API provided by the mock package

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{name1}_%{name2}/py.typed
%{python3_sitelib}/%{name1}_%{name2}/*.py
%{python3_sitelib}/%{name1}_%{name2}/__pycache__/*.pyc
%{python3_sitelib}/%{name1}_%{name2}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#to set project version accordingly
cat >> pyproject.toml << EOF

[project]
name = "%{sname}"
version = "%{version}"

EOF

#removing setup.py is mandatory
rm setup.py

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
export PYTHONPATH="src:${PYTHONPATH}"
# disable all tests that require the plugin to be installed
pytest -v --assert=plain			\
    -k "not test_used_with_session_scope	\
        and not test_used_with_package_scope	\
        and not test_used_with_module_scope	\
        and not test_used_with_class_scope	\
        and not test_monkeypatch_ini		\
        and not test_monkeypatch_native		\
        and not test_standalone_mock		\
        and not test_plain_stopall"
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
